6a98a5ca6a0f692b13c679fb2d51ac8d3c0d945b
[idea/community.git] / platform / platform-tests / testData / plugins / sort / simplePluginSort.txt
1 + com.intellij
2   cycle3
3   cycle1
4   cycle2
5   cycle0
6   cycle4
7   cycle5
8 + duplicate
9 + duplicate0
10   missing1
11   missing2
12 + incompatible_with_disabled_module
13   missing3
14 + optional_config_cycle1
15   optional_config_cycle0
16   optional_config_cycle2
17   optional_cycle2
18   optional_cycle0
19   optional_cycle1
20 + plugin3
21 + plugin0
22   incompatible_with_enabled_module
23 + plugin1
24 + plugin2
25
26 Plugin "incompatible0" is incompatible (until build 1.111111 < 2042.42).
27 Plugin "incompatible0-alt" is incompatible (until build 1.111 < 2042.42).
28 Plugin "incompatible1" is incompatible (since build 9999.0 > 2042.42).
29 Plugin "incompatible2" is incompatible (until build 1.111111 < 2042.42).
30 Plugin "missing4" is incompatible (supported only in IntelliJ IDEA).
31 Module com.intellij.modules.duplicate is declared by plugins:
32   PluginDescriptor(name=duplicate0, id=duplicate0, path=file:/duplicate0.xml)
33   PluginDescriptor(name=duplicate, id=duplicate, path=file:/duplicate1.xml).
34 Plugins should not have cyclic dependencies: optional_cycle1 <-> optional_cycle2 <-> optional_cycle0, cycle5 <-> cycle4, cycle2 <-> cycle3 <-> cycle1.
35 Plugin "missing2" requires "com.intellij.missing" plugin to be installed.
36 Plugin "missing3" requires "missing2" plugin to be enabled.
37 Plugin "missing1" requires "com.intellij.modules.missing" plugin to be installed.
38 Plugin "cycle0" requires "cycle1" plugin to be enabled.
39 The incompatible_with_enabled_module (id=incompatible_with_enabled_module, path=file:/incompatible_with_enabled_module.xml) plugin is incompatible with the IDE containing module "com.intellij.modules.plugin0".
40 <br><a href="disable">Disable not loaded plugins</a>
41 <a href="edit">Open plugin manager</a>